version: '3'
services:

  bot:
    build: .
    container_name: bot-container
    environment:
      - RASA_DUCKLING_HTTP_URL=http://duckling:8000
      - ACTIONS_ENDPOINTS=http://actions:5055/webhook
      - BLOCK_OUTBOUND_CALL=true
      - RUN_PARAM=--quiet
      - USE_GLOBAL_SESSION=false
    volumes:
      - ".:/app"
    networks:
      - chatbot
    links:
      - duckling
      - actions
    depends_on:
      - duckling
      - actions
    ports:
    - "5005:5005"
    - "8000:8000"
    - "8089:8089"
    - "5055:5055"
    
  actions:
    build:
      context: .
      dockerfile: Dockerfile.actions
    container_name: actions-container
    expose:
      - "5055"

  duckling:
    image: "rasa/duckling"
    container_name: duckling-container
    networks:
      - chatbot
    expose:
      - "8000"

networks:
  chatbot:
